#version 430

in vec3 position;
in vec3 normal;
in vec2 texCoords;

out vec2 TexCoords;

uniform mat4 model;
uniform mat4 project;
uniform mat4 view;

void main() {
	
	//falls non-uniforme skalierung: wie in ECG normalMatrix = inv transposed
	//nur rotationen: egal
	
	gl_Position = project * view * model * vec4(position, 1);
	TexCoords = texCoords;
}